%define patch_name	kernel-feat-drivers-libata

Name:		%patch_name
Version:	2004.02.01
Release:	alt1
Summary:	%patch_name kernel patch - Serial ATA drivers
License:	GPL
Group:		Development/Other
BuildArch:	noarch
BuildPreReq:	kernel-build-tools

# http://www.kernel.org/pub/linux/kernel/people/jgarzik/libata/2.4.25-pre4-libata1.patch.bz2
%source    1	01_2.4.25-pre4-libata1.patch

# http://linux.bkbits.net:8080/linux-2.4/diffs/include/linux/interrupt.h@1.9?nav=index.html|src/|src/include|src/include/linux|related/include/linux/interrupt.h|cset@1.1063.11.16
%source    2	02_irqreturn_t-update.patch

# http://linux.bkbits.net:8080/linux-2.4/patch@1.1063.27.1?nav=index.html|src/|src/include|src/include/scsi|related/include/scsi/scsi.h|cset@1.1063.27.1
%source    3	03_scsi.h-update.patch

# http://marc.theaimsgroup.com/?l=linux-kernel&m=106972332715043&w=2
%source   20	20_iswraid-2.4.22.patch

%source   21	21_iswraid-2.4.22-c99-fix.patch

URL:		http://www.kernel.org/pub/linux/kernel/people/jgarzik/libata/

Packager:	Kernel Maintainers Team <kernel@packages.altlinux.org>

%description
This patch adds support for Serial ATA controllers to the Linux kernel.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Sun Feb 01 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.01-alt1
- Updated libata patch to 01_2.4.25-pre4-libata1:
  + fake BIOS geometry for partition tables
  + sata_promise: initialize DIMM on Promise SX4
  + sata_promise: fix Promise SX4 Host DMA (should be per-host, not per-port)
  + sata_sil: add support for Adaptec 1210SA, 4-port SiI 3114
  + sata_sil: unmask interrupts during initialization (needed for Adaptec
    BIOSes)
  + sata_sil: cleaner, better version of errata workarounds
  + sata_sil: add pci id for Silicon Image 3512
  + sata_svw: fix DRV_NAME to reflect actual driver filename
  + sata_svw: cleanup, better probing:
    * use fewer magic numbers
    * probe all 4 ports, using standard SATA SCRs
    * limit udma mask to 0x3f
    * clean up PPC-specific procfs stuff
- Removed:
  - 04_use-after-free.patch (fixed upstream)

* Sun Dec 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.14-alt1
- Updated libata patch to 2.4.23-libata1:
  + fix for Promise SX4 (only one Host DMA engine, not one per port)
- Added:
  + 04_use-after-free.patch: fix oops on libata unload.

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.28-alt1
- Updated libata patch to 2.4.23-rc3-libata1:
  + fixed a bug which may cause some devices to "not be talked to" at probe
    time (fixed flush of Device Control register to device)
  + ServerWorks-specific tweaks
- Removed:
  - 04_promise-pci-id.patch (already included into the new libata patch).

* Tue Nov 25 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.25-alt1
- Added:
  + 20_iswraid-2.4.22.patch - Intel Software RAID (ICH5R) support.
  + 21_iswraid-2.4.22-c99-fix.patch - remove C99 variable declarations in the
    iswraid driver to make it compile with gcc-2.96.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.18-alt1
- Updated libata patch to 2.4.22-bk53-libata1.
- Removed:
  - 04_promise-pci-posting.patch (already included into the new libata patch).
- Added:
  + 04_promise-pci-id.patch - support for Promise FastTrak 376 (PCI device ID
    0x3376).

* Sun Nov 09 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.09-alt1
- Updated libata patch to 2.4.22-bk48-libata1.
- Added:
  + 04_promise-pci-posting.patch - fix Promise PCI posting bugs.

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Replaced modified libata patch with original (kernel-fix-drivers-scsi no
  longer causes conflicts with the original patch).

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.19-alt1
- Initial release.

